<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class Admin_ReferrerController extends Controller
{
    /**
    * set access privileges
    */  
    function init()
    {        
        $this->acl->allow('administrator', $this->name, "*");
         
        if(!$this->acl->isAllowed($this->session->get("role"), $this->name, $this->action))
        {
            $this->redirect(FrontController::getRewrittedUrl("/admin/main/logIn"));  
        }
    }   
    
    /**
    * Display comment all or for specified site
    */
    function indexAction($page = 1)
    {
        $page = intval($page);
        $perPage = 50;
        $totalPages = ceil($this->site->getCount() / $perPage);
        
        $this->set("pageNavigation", array("baseLink" => "/admin/referrer/index/",
                                           "totalPages" => $totalPages,
                                           "currentPage" => $page));
                                           
        $this->set("sites", $this->site->getSites($page, $perPage));
    }
    
    function resetAction($siteId)
    {
        $this->site->updateByPk(array("referrerTimes" => 0), $siteId);
        $this->redirect($this->moduleLink());
    }
} 

?>